Bug 29532 - makewhatis.cron dumps core
Summary: makewhatis.cron dumps core
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: man (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-26 10:15 UTC by Thilo Mezger
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 08:15:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thilo Mezger 2001-02-26 10:15:38 UTC
Running /etc/cron.daily/makewhatis.cron dumps core.

"file core" says: "process `sort' killed by signal 11".

My system has been installed with German locale.

Comment 1 Glen Foster 2001-02-26 23:51:24 UTC
We (Red Hat) should really try to resolve this before next release.

Comment 2 Trond Eivind Glomsrxd 2001-02-28 05:06:21 UTC
Are you able to do other large jobs, like compilings kernels (preferably 10
times or so in a row) without sig11?

I've run this many times without such problems, and would highly suspect your
hardware (overclocking or bad memory chip).

I recommend try the adwise found at http://www.desy.de/unix/linux/memtest/
and http://www.bitwizard.nl/sig11/.

Reopen if all of these tests succeed.


Comment 3 Thilo Mezger 2001-03-02 08:15:11 UTC
It's an otherwise very stable 440BX-based system that is *not* overclocked. 
Solid Pentium power.  It has been compiling kernels for hours (with "make -j8")
and ran Memtest-86 for more than 10 hours.  So I guess, we're back in game...

I tried to reproduce the bug on a minimal install but makewhatis does not seem
to find enough man-pages to crash.

My assumption is that German locale plus maybe a strange man-page could be the
cause.  If somebody at www.redhat.de has an "Everything"-install in German and
could try to verify that?

I'll try to reproduce the bug this weekend myself.

PS: Yes, I have verified the MD5SUM's after download and checked every single
RPM with "rpm -K".

Comment 4 Florian La Roche 2001-03-05 11:32:32 UTC
The sort bug was fixed in textutils-2.0.11-6, after the wolverine release. You
can test
http://people.redhat.com/laroche/textutils* if you want to fix this.

Please open a new bug if you can still make sort crash with some special locale
settings.




Note You need to log in before you can comment on or make changes to this bug.